@import url('https://fonts.googleapis.com/css2?family=Quicksand:wght@500&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Tajawal:wght@500&display=swap');
*{
    margin: 0;
    padding: 0;
}
body{
    box-sizing: border-box;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    -ms-box-sizing: border-box;
    -o-box-sizing: border-box;
    overflow-x: hidden;
    scroll-behavior: smooth;
    font-family: "Quicksand" , "Tajawal";
}
::-webkit-scrollbar{
    width: 5px;
}
::-webkit-scrollbar-thumb{
    background: black;
}
::-webkit-scrollbar-track{
    background: transparent;
}
header{
    width: 100%;
    height: 60px;
    background: #010101;
    z-index: 1;
    margin-bottom: 20px;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}
header a img{
    width: 40px;
    height: 40px;
    border-radius: 100px;
    margin: 10px 0;
    margin-left: 25px;
    margin-right: 10px;
    vertical-align: middle;
    position: absolute;
    top: 0;
    left: 0;
}
.bar{
    height: 100%;
    width: 50px;
    position: absolute;
    top: 0;
    right: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}
.bar input{
    display: none;
}
.bar label{
    z-index: 1;
    position: relative;
    cursor: pointer;
}
.bar label span{
    background: red;
    display: block;
    margin: 5px auto;
    width: 30px;
    height:3px;
    z-index: 10;
    position: relative;
    transition: .5s ease-in-out;
    -webkit-transition: .5s ease-in-out;
    -moz-transition: .5s ease-in-out;
    -ms-transition: .5s ease-in-out;
    -o-transition: .5s ease-in-out;
}
.bar input:checked ~ label span:nth-child(1){
    transform: rotate(45deg);
    margin-top: 6px;
}
.bar input:checked ~ label span:nth-child(2){
    width: 0;
}
.bar input:checked ~ label span:nth-child(3){
    transform: rotate(-45deg);
    margin-top: -15px;
}
.bar input:checked ~ .user-info{
    right: 0;
}
.user-info{
    width: 250px;
    background: black;
    height: 100%;
    position: fixed;
    top: 0;
    right: -150%;
    transition: .5s ease-in-out;
    -webkit-transition: .5s ease-in-out;
    -moz-transition: .5s ease-in-out;
    -ms-transition: .5s ease-in-out;
    -o-transition: .5s ease-in-out;
}
.header-user{
    width: 100%;
    height: 60px;
    position: relative;
}
.user-info nav{
    padding: 10px;
    color: white !important;
}
.user-info ul li{
    display: block;
    margin: 10px auto;
}
.user-info nav ul li a{
    color: white;
}
.btn-edit{
    width: 80%;
    padding: 10px;
    border-bottom: 1px solid #c3c3c3 !important;
    border: none;
    background: none;
    color: white;
    font-family: "Quicksand" , "Tajawal";
    display: block;
    font-size: 15px;
    margin: 5px auto;
    outline: none;
    transition: .5s ease-in-out;
    -webkit-transition: .5s ease-in-out;
    -moz-transition: .5s ease-in-out;
    -ms-transition: .5s ease-in-out;
    -o-transition: .5s ease-in-out;
    cursor: pointer;
}
.container{
    width: 100%;
    height: 100vh;
    position: relative;
    display: inline-block;
}
.post{
    width: 600px;
    height: auto;
    background: white;
    border-radius: 5px;
    display: block;
    margin: 5px auto;
    padding: 10px;
    transition: .5s ease;
    -webkit-transition: .5s ease;
    -moz-transition: .5s ease;
    -ms-transition: .5s ease;
    -o-transition: .5s ease;
    box-shadow: 1px 10px 50px -10px #c3c3c3;
}
.header{
    width: 100%;
    height: 50px;
    border-bottom: 1px solid #f5f5f5;
    position: relative;
}
.header a img{
    width: 40px;
    height: 40px;
    margin: 5px 10px;
    vertical-align: middle;
}
.header a{
    text-decoration: none;
    color: black;
}

.content{
    width: 100%;
    height: auto;
    position: relative;
}
.content p{
    padding: 10px;
}
.footer{
    width: 100%;
    height: 40px;
    position: relative;
    padding: 5px 0;
}
.controls{
    width: 100%;
    height: 100%;
    position: relative;
}
.controls input{
    padding:  0 0 0 10px;
    border: none;
    border-radius: 5px;
    height: 100%;
    font-family: "Quicksand" , "Tajawal";
    width: 80%;
    outline: none;
    transition: .5s ease;
    -webkit-transition: .5s ease;
    -moz-transition: .5s ease;
    -ms-transition: .5s ease;
    -o-transition: .5s ease;
    position: absolute;
    top: 0;
    left: 0;
}
.controls button svg{
    width: 30px;
    height: 100%;
    vertical-align: middle;
}
.controls button svg path{
    fill: white;
}
.controls button{
    width: 15%;
    border: none;
    height: 100%;
    border-radius: 5px;
    background: black;
    position: absolute;
    top: 0;
    right: 0;
    margin: 0 5px;
    outline: none;
    cursor: pointer;
    transition: .5s ease;
    -webkit-transition: .5s ease;
    -moz-transition: .5s ease;
    -ms-transition: .5s ease;
    -o-transition: .5s ease;
    box-shadow: 1px 10px 10px -10px #000;
}
.comments-container{
    width: 100%;
    height: 0;
    position: relative;
    overflow-y: auto;
    overflow-x: hidden;
    color: #c3c3c3;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: .5s ease;
    -webkit-transition: .5s ease;
    -moz-transition: .5s ease;
    -ms-transition: .5s ease;
    -o-transition: .5s ease;
    box-shadow: 
    inset 1px 30px 25px -23px #eeeeee,
    inset -1px -30px 25px -23px  #eeeeee;  
    scroll-behavior: smooth;
    scrollbar-track-color: khaki !important;
}
.comments-container::-webkit-scrollbar-thumb,
    .-container::-webkit-scrollbar-thumb {
    background: #c3c3c3;
}
.-container{
    width: 100%;
    height: 300px;
    position: relative;
    overflow-y: auto;
    color: #c3c3c3;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: .5s ease;
    -webkit-transition: .5s ease;
    -moz-transition: .5s ease;
    -ms-transition: .5s ease;
    -o-transition: .5s ease;
    box-shadow: 
    inset 1px 30px 25px -23px #eeeeee,
    inset -1px -30px 25px -23px  #eeeeee;  
    scroll-behavior: smooth;
    scrollbar-track-color: khaki !important;
}
.comment{
    width: 100%;
    height: auto !important;
    position: relative !important;
    display: block !important;
    margin: 5px auto;
    padding:  0;
    transition: .5s ease;
    -webkit-transition: .5s ease;
    -moz-transition: .5s ease;
    -ms-transition: .5s ease;
    -o-transition: .5s ease;
    animation: animate 1s;
    -webkit-animation: animate 1s;
    -moz-animation: animate 1s;
    -ms-animation: animate 1s;
    -o-animation: animate 1s;
}
@keyframes animate{
    from{
        margin: 0 auto;
        opacity: 0;
    }
    to{
        margin: 5px auto;
        opacity: 1;
    }
}
.comment h1{
    font-size: 16px;
    font-weight: lighter;
    padding: 2px 10px;
    color: black;
    font-weight: 600;
    letter-spacing: 1px;
}
.comment p{
    font-size: 15px;
    font-weight: lighter;
    padding: 2px 10px;
    color: black;
}
.box-comment{
    position: relative !important;
    display: inline-flex;
}
.box-comment img{
    width: 50px;
    height: 50px;
    display: block;
    margin: 0 auto; 

}
.box-comment:nth-child(1){
    width: 10% !important;
    height: 100% !important;
    margin: 10px;
}
.box-comment:nth-child(2){
    width: 70%;
    height: 100% !important;
    position: relative !important;
}
.box-comment:nth-child(2) span{
    position: relative;
    background: #eeeeee;
    border-radius: 0 5px 5px 5px;
    padding: 5px;
    width: auto;
    height: auto;
    box-shadow: 1px 10px 10px -10px #0101016b;
}
.box-comment:nth-child(2) span::after{
    content: '';
    border-width: 5px;
    border-color: #f3f3f3 #f3f3f3  transparent transparent;
    position: absolute;
    top: 0;
    left: 0;
    border-style: solid;
    margin-left: -9px;
}
.comments-num{
    width: 100%;
    text-align: right;
    position: relative;
    height: 30px;
}

.comments-num button{
    padding: 0 10px;
    cursor: pointer;
    outline: none;
    user-select: none;
    border: none;
    color: black;
    background: none;
    font-family: "Quicksand" , "Tajawal";
    outline: none;
    transition: .5s ease;
    -webkit-transition: .5s ease;
    -moz-transition: .5s ease;
    -ms-transition: .5s ease;
    -o-transition: .5s ease;
    font-size: 15px;
    font-weight: 600;
    letter-spacing: 1px;
}
.comments-num svg{
    vertical-align: middle;
    width: 20px;
    height: 15px;
    margin-left: 5px;
}
.fa-primary{
    fill:white;
}
.create-post-container{
    width: 90%;
    height: auto;
    margin-bottom: 15px !important;
    display: none;
    margin: 0 auto;
    position: relative;
    align-items: center;
    justify-content: center;
    transition: .5s ease;
    -webkit-transition: .5s ease;
    -moz-transition: .5s ease;
    -ms-transition: .5s ease;
    -o-transition: .5s ease;
     animation: post 1s; 
     -webkit-animation: post 1s; 
     -moz-animation: post 1s; 
     -ms-animation: post 1s; 
     -o-animation: post 1s; 
}
@keyframes post{
    from{
        margin-top: -300px;
    }
    to{
        margin-top: 0;
    }
}
@-webkit-keyframes post{
    from{
        margin-top: -300px;
    }
    to{
        margin-top: 0;
    }
}
@-moz-keyframes post{
    from{
        margin-top: -300px;
    }
    to{
        margin-top: 0;
    }
}
@-ms-keyframes post{
    from{
        margin-top: -300px;
    }
    to{
        margin-top: 0;
    }
}
@-o-keyframes post{
    from{
        margin-top: -300px;
    }
    to{
        margin-top: 0;
    }
}
.create-post{
    width: 600px;
    height: 100%;
    position: relative;
}
.create-post textarea{
    font-family: "Quicksand" , "Tajawal";
    border: none;
    border-radius: 5px;
    resize: none;
    padding: 10px;
    width: 97%;
    display: block;
    margin: 10px auto;
    height: 150px;
    font-size: 15px;
    outline: none;
}
.create-post textarea:focus{
    background: white !important;
}
.create-post textarea::-webkit-scrollbar-thumb{
    background: #c3c3c3;
}
.create-post button{
    font-family: "Quicksand" , "Tajawal";
    border: none;
    width: 100%;
    padding: 0 10px;
    color: white;
    background: black;
    border-radius: 5px;
    display: block;
    margin: 0 auto;
    height: 40px;
    font-size: 15px;
    outline: none;
    letter-spacing: 1px;
    margin-bottom: 10px !important;
}
.btn-create-post{
    padding: 10px;
    font-family: "Quicksand" , "Tajawal";
    font-size: 15px;
    border: none;
    background: tomato;
    color: white;
    border-radius: 5px;
    border-bottom: 3px solid rgb(187, 74, 54) !important;
    outline: none;
    cursor: pointer;
}
.btn-create-post:focus{
    background: rgb(231, 97, 73);
}
.message-popup{
    padding: 10px;
    background: black;
    color: white;
    font-size: 16px;
    position: fixed;
    top: 0;
    right: 0;
    border-radius:  5px 0 0 0;
    margin: 20px 15px;
    z-index: 20;
    width: 200px;
    text-align: center;
    height: 70px;
    transition: .5s ease;
    -webkit-transition: .5s ease;
    -moz-transition: .5s ease;
    -ms-transition: .5s ease;
    -o-transition: .5s ease;
    box-shadow: 1px 10px 10px -10px black;
    display: none;
    border-radius: 0  0 5px 5px;
}
.message-popup::after{
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    border-width: 5px;
    border-style: solid;
    border-color: black transparent transparent black;
    margin-right: -10px !important;
}
.message-popup span{
    position: absolute;
    bottom: 0;
    left: 0;
    height: 4px;
    background: rgb(231, 97, 73);
    width: 100%;
    animation: download 2s;
    -webkit-animation: download 2s;
    -moz-animation: download 2s;
    -ms-animation: download 2s;
    -o-animation: download 2s;
    border-radius: 0  0 5px 5px;
    animation-play-state: paused;
     -webkit-animation-play-state: paused;
    -moz-animation-play-state: paused;
    -ms-animation-play-state: paused;
    -o-animation-play-state: paused; 
}
@keyframes download{
    from{
        width: 0;
    }
    to{
        width: 100%;
    }
}
@-webkit-keyframes download{
    from{
        width: 0;
    }
    to{
        width: 100%;
    }
}
@-moz-keyframes download{
    from{
        width: 0;
    }
    to{
        width: 100%;
    }
}
@-ms-keyframes download{
    from{
        width: 0;
    }
    to{
        width: 100%;
    }
}
@-o-keyframes download{
    from{
        width: 0;
    }
    to{
        width: 100%;
    }
}
@media only screen and (max-width:289px){
    .post{
        width: 90%;
    }
    .box-comment:nth-child(2){
        margin-left: 30px;
        width: 80%;
    }
    .box-comment:nth-child(2) span::after{
        border-color: transparent transparent #f3f3f3 transparent;
        margin-left: 0 !important;
        margin-top: -10px;
    }
}
@media only screen and (min-width:290px) and (max-width:360px){
    .post{
        width: 90%;
    }
    .box-comment:nth-child(2){
        margin-left: 30px;
    }
}
@media only screen and (min-width:361px) and (max-width:667px){
    .post{
        width: 90%;
        padding-left: 10px;
    }
    .box-comment:nth-child(2){
        margin-left: 20px;
    }
    .box-comment:nth-child(2) span{
        padding: 10px !important;
        max-width: 100%;
    }
    
    .comment h1{
        text-overflow: ellipsis;
        white-space: nowrap;

    }
}